### Method

# Clutter Actor get_name

#### Declaration [src]

    const gchar*
    clutter_actor_get_name (
      ClutterActor* self
    )

#### Description [src]

Retrieves the name of `self`.

Gets property | `Clutter.Actor:name`

#### Return value

Type: `const gchar*`

The name of the actor, or `NULL`. The returned string is owned by the actor and should not be modified or freed.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.